'****************************************************************
'*  Name    : 18F45K22.inc                                      *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2016 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 23/02/2016                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************
'
$ifndef _18F45K22_INC
$define _18F45K22_INC
'
' Header file for use with the Amicus18 board
'
'-------------------------------------------------------------------------------
    Device = 18F45K22
    Declare Xtal = 64
    Declare Optimiser_Level = 2
    Declare Dead_Code_Remove = 1

'-------------------------------------------------------------------------------
'    Declare Hserial_Baud = 9600                 ' Set baud rate to 9600
'    Declare Hserial_RCSTA = %10010000           ' Enable serial port and continuous receive
'    Declare Hserial_TXSTA = %00100000           ' Enable transmit and asynchronous mode
'    Declare Hserial_Clear = 1                   ' Enable Error clearing on received characters
'-------------------------------------------------------------------------------
'Calculated Baudrate = 9598 @ Xtal 64MHz, Error = -0,02%
    Declare Hserial_RCSTA  = %10010000      ' Enable continuous receive 
    Declare Hserial_TXSTA  = %00100100      ' Enable transmit, BRGH = 1
    Declare Hserial_Clear  = On             ' Clear overflow automatically
    Declare Hserial_SPBRG  = $82            ' Baud Rate Generator Low Byte Value
    SPBRGH         = $06                    ' Baud Rate Generator High Byte Value
    BAUDCON.3      = 1                      ' Enable the 16 bit Baud Rate Generator
'-------------------------------------------------------------------------------
'**** Added by Fuse Configurator ****
' Use the Fuse Configurator plug-in to change these settings

Config_Start
  FOSC = ECMP	     ' EC oscillator, CLKOUT function on OSC2 (medium power, 500 kHz-16 MHz)
  PLLCFG = On	     ' Oscillator multiplied by 4
  PRICLKEN = On	     ' Primary clock is always enabled
  FCMEN = OFF	     ' Fail-Safe Clock Monitor disabled
  IESO = OFF	     ' Oscillator Switchover mode disabled
  PWRTEN = OFF	     ' Power up timer disabled
  BOREN = SBORDIS	 ' Brown-out Reset enabled in hardware only (SBOREN is disabled)
  BORV = 190	     ' VBOR set to 1.90 V nominal
  WDTEN = Off        ' WDT disabled (control is placed on SWDTEN bit)
  WDTPS = 32768	     ' 1:32768
  CCP2MX = PORTC1	 ' CCP2 input/output is multiplexed with RC1
  PBADEN = OFF	     ' PORTB<5:0> pins are configured as digital I/O on Reset
  CCP3MX = PORTB5	 ' P3A/CCP3 input/output is multiplexed with RB5
  HFOFST = On	     ' HFINTOSC output and ready status are not delayed by the oscillator stable status
  T3CMX = PORTC0	 ' T3CKI is on RC0
  P2BMX = PORTC0	 ' P2B is on RC0
  MCLRE = EXTMCLR    ' MCLR pin enabled, RE3 input pin disabled
  STVREN = On	     ' Stack full/underflow will cause Reset
  LVP = Off          ' Single-Supply ICSP disabled
  XINST = OFF	 ' Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
  Debug = OFF	 ' Disabled
  Cp0 = OFF	     ' Block 0 (000800-001FFFh) not code-protected
  CP1 = OFF	     ' Block 1 (002000-003FFFh) not code-protected
  CP2 = OFF	     ' Block 2 (004000-005FFFh) not code-protected
  CP3 = OFF	     ' Block 3 (006000-007FFFh) not code-protected
  CPB = OFF	     ' Boot block (000000-0007FFh) not code-protected
  CPD = OFF	     ' Data EEPROM not code-protected
  WRT0 = OFF	 ' Block 0 (000800-001FFFh) not write-protected
  WRT1 = OFF	 ' Block 1 (002000-003FFFh) not write-protected
  WRT2 = OFF	 ' Block 2 (004000-005FFFh) not write-protected
  WRT3 = OFF	 ' Block 3 (006000-007FFFh) not write-protected
  WRTC = OFF	 ' Configuration registers (300000-3000FFh) not write-protected
  WRTB = OFF	 ' Boot Block (000000-0007FFh) not write-protected
  WRTD = OFF	 ' Data EEPROM not write-protected
  EBTR0 = OFF	 ' Block 0 (000800-001FFFh) not protected from table reads executed in other blocks
  EBTR1 = OFF	 ' Block 1 (002000-003FFFh) not protected from table reads executed in other blocks
  EBTR2 = OFF	 ' Block 2 (004000-005FFFh) not protected from table reads executed in other blocks
  EBTR3 = OFF	 ' Block 3 (006000-007FFFh) not protected from table reads executed in other blocks
  EBTRB = OFF	 ' Boot Block (000000-0007FFh) not protected from table reads executed in other blocks
Config_End


    Symbol CR = 13      ' carriage return
    Symbol LF = 10      ' Linefeed
    Symbol BS = 08      ' Backspace
    Symbol ESC = $1B    ' Escape
    Symbol TRUE = 1
    Symbol FALSE = 0
    Symbol ACK = 6
    Symbol STX = 2
    Symbol ETX = 3
    Symbol SPACE = $20

    ANSELA = 0
    ANSELB = 0
    ANSELC = 0
    ANSELD = 0    
    ADCON0 = 0
    CM1CON0 = 0
    CM2CON0 = 0
    CM2CON1 = 0

$endif
'-------------------------------------------------------------------------------


